# Search campaigns

### Search campaigns

`POST /api/v1/campaigns/search`

Operation ID: `searchCampaigns`

Find campaigns by name. Every word in query must appear. Use the id with Get a campaign.

**Request body** (required)

- `query` (string, required): Text to match. Every word must appear in the record.

**200**: Matching campaigns.

- `campaigns` (object[], required): Up to 20 matches.
- `requestId` (string · uuid, required): Id of this request, for support and troubleshooting

**Errors**

- `400`: Bad request
- `401`: Unauthorized: missing or invalid API key
- `403`: Forbidden
- `404`: Not found
- `422`: Invalid request payload
